Name:		urlgfe
Version:	1.0
Release:	1%{?dist}
Summary:	Urlgfe download manager

Group:		Applications/Internet
License:	LGPL
URL:		http://urlget.sourceforge.net/
Source0:	http://superb-west.dl.sourceforge.net/sourceforge/urlget/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	curl-devel
BuildRequires:	expat-devel
BuildRequires:	gtk2-devel
BuildRequires:	krb5-devel
BuildRequires:	pcre-devel
BuildRequires:	desktop-file-utils

%description
Urlgfe is a download manager that uses GTK+2 ,libcurl, and pcre.

It allows you to classify URLs before downloading them, and 
allows you to import URLs from HTML files. Every category has 
an independent configuration that can be inherited by 
each download in that category.

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"

desktop-file-install \
	--delete-original \
	--vendor fedora \
	--remove-category Application \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

for f in [A-Z]* ; do \
	%{__sed} -i.encoding -e 's|\r||g' $f
done
	
%{find_lang} %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYRIGHT ChangeLog NEWS
%doc README

%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}*.png
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Wed Nov 29 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0-1
- Initial packaging to import to Fedora Extras.
